
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$angular13-fundamentals-workshop-primary: mat.define-palette(mat.$indigo-palette);
$angular13-fundamentals-workshop-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$angular13-fundamentals-workshop-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$angular13-fundamentals-workshop-theme: mat.define-light-theme((
  color: (
    primary: $angular13-fundamentals-workshop-primary,
    accent: $angular13-fundamentals-workshop-accent,
    warn: $angular13-fundamentals-workshop-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($angular13-fundamentals-workshop-theme);

html {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, sans-serif;
  height: 100%;
  display: flex;
}

p {
  margin: 16px;
}

.icon-20 {
  font-size: 20px;
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.container {
  margin: 10px;
  flex-wrap: wrap;
}

.container [class*='col'] {
  padding: 10px;
  flex: 1;
}

.mat-card-header-text {
  margin-left: 0;
  border-bottom: 1px solid #ffd740;
}

.header {
  padding-bottom: 10px;
  color: #673ab7;
  border-bottom: 2px solid #673ab7;
}

app-root {
  display: flex;
  flex-direction: column;
  flex: 1;
}

mat-toolbar {
  box-shadow: 0 3px 5px -1px rgba(0, 0, 0, 0.2),
    0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12);
  z-index: 1;
}

mat-sidenav {
  box-shadow: 3px 0 6px rgba(0, 0, 0, 0.24);
  width: 200px;
  padding-top: 10px;
}

mat-card:not(.dashboard-card) {
  margin-bottom: 20px;
}

.mat-sidenav-container {
  background: #f5f5f5;
  flex: 1;
}

.fill-remaining-space {
  flex: 1 1 auto;
}

.full-width {
  width: 100%;
}

.courses-containers {
  display: flex;
  justify-content: space-around;

  .courses-list {
    width: 49%;
  }

  .course-details {
    width: 49%;
  }
}

.login-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 64px);

  mat-card {
    width: 400px;
  }
}

.dashboard-card {
  position: absolute !important;
  top: 15px;
  left: 15px;
  right: 15px;
  bottom: 15px;

  mat-card-header {
    justify-content: center;
  }
}

.dashboard-card-content {
  text-align: center;
}

.more-button {
  position: absolute;
  top: 5px;
  right: 10px;
}

.grid-container {
  margin: 20px;
}

.list-container {
  margin: 20px;

  .full-width-table {
    width: 100%;
  }

  tr {
    -webkit-transition: background-color 300ms;
    -moz-transition: background-color 300ms;
    -ms-transition: background-color 300ms;
    -o-transition: background-color 300ms;
    transition: background-color 300ms;
  }

  tr:not(.mat-header-row):hover {
    background: whitesmoke;
    cursor: pointer;
  }
}

.details-container {
  mat-form-field {
    width: 100%;
  }

  mat-card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

mat-list-item:not(:first-of-type) {
  border-top: 1px solid #efefef;
}

mat-form-field {
  width: 100%;
}

mat-list-item:hover {
  cursor: pointer;
  background: whitesmoke;
}

mat-list-item:not(:first-of-type) {
  border-top: 1px solid #efefef;
}

.symbol {
  color: #777;
}

mat-card-actions {
  margin-bottom: 0;
}

.full-width {
  width: 100%;
}

.nav-link {
  color: rgba(0, 0, 0, 0.54);
  display: flex !important;
  align-items: center;
  padding-top: 5px;
  padding-bottom: 5px;
}

.active {
  color: black !important;
}

// UI LOGIN
.login {
  height: 100%;

  .background {
    position: fixed;
    left: 0;
    right: 0;
    z-index: 1;
    display: block;
    // background: url(assets/background.jpg) no-repeat center center fixed;
    // background-size: cover;
    height: 100%;
    overflow: hidden;
  }

  .container {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 100;

    .card-wrapper {
      margin: auto;
      display: flex;
      justify-content: center;
    }
  }

  mat-card {
    box-shadow: 0 3px 5px -1px rgba(0, 0, 0, 0.2),
      0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12);

    mat-card-header {
      margin-bottom: 10px;
    }

    mat-form-field {
      width: 100%;
    }
  }

  .ig-xpro2 {
    -webkit-filter: contrast(1.3) brightness(0.8) sepia(0.3) saturate(1.5) hue-rotate(-20deg);
    filter: contrast(1.3) brightness(0.8) sepia(0.3) saturate(1.5) hue-rotate(-20deg);
  }

  .ig-willow {
    -webkit-filter: saturate(0.02) contrast(0.85) brightness(1.2) sepia(0.02);
    filter: saturate(0.02) contrast(0.85) brightness(1.2) sepia(0.02);
  }

  .ig-walden {
    -webkit-filter: sepia(0.35) contrast(0.9) brightness(1.1) hue-rotate(-10deg) saturate(1.5);
    filter: sepia(0.35) contrast(0.9) brightness(1.1) hue-rotate(-10deg) saturate(1.5);
  }

  .ig-valencia {
    -webkit-filter: sepia(0.15) saturate(1.5) contrast(0.9);
    filter: sepia(0.15) saturate(1.5) contrast(0.9);
  }

  .ig-toaster {
    -webkit-filter: sepia(0.4) saturate(2.5) hue-rotate(-30deg) contrast(0.67);
    -filter: sepia(0.4) saturate(2.5) hue-rotate(-30deg) contrast(0.67);
  }

  .ig-sutro {
    -webkit-filter: brightness(0.75) contrast(1.3) sepia(0.5) hue-rotate(-25deg);
    filter: brightness(0.75) contrast(1.3) sepia(0.5) hue-rotate(-25deg);
  }

  .ig-sierra {
    -webkit-filter: contrast(0.8) saturate(1.2) sepia(0.15);
    filter: contrast(0.8) saturate(1.2) sepia(0.15);
  }

  .ig-rise {
    -webkit-filter: saturate(1.4) sepia(0.25) hue-rotate(-15deg) contrast(0.8) brightness(1.1);
    filter: saturate(1.4) sepia(0.25) hue-rotate(-15deg) contrast(0.8) brightness(1.1);
  }

  .ig-nashville {
    -webkit-filter: sepia(0.4) saturate(1.5) contrast(0.9) brightness(1.1) hue-rotate(-15deg);
    filter: sepia(0.4) saturate(1.5) contrast(0.9) brightness(1.1) hue-rotate(-15deg);
  }

  .ig-mayfair {
    -webkit-filter: saturate(1.4) contrast(1.1);
    filter: saturate(1.4) contrast(1.1);
  }

  .ig-lofi {
    filter: contrast(1.4) brightness(0.9) sepia(0.05);
    -webkit-filter: contrast(1.4) brightness(0.9) sepia(0.05);
  }

  .ig-kelvin {
    filter: sepia(0.4) saturate(2.4) brightness(1.3) contrast(1);
    -webkit-filter: sepia(0.4) saturate(2.4) brightness(1.3) contrast(1);
  }

  .ig-inkwell {
    -webkit-filter: grayscale(1) brightness(1.2) contrast(1.05);
    filter: grayscale(1) brightness(1.2) contrast(1.05);
  }

  .ig-hudson {
    -webkit-filter: contrast(1.2) brightness(0.9) hue-rotate(-10deg);
    filter: contrast(1.2) brightness(0.9) hue-rotate(-10deg);
  }

  .hefe {
    -webkit-filter: contrast(1.3) sepia(0.3) saturate(1.3) hue-rotate(-10deg) brightness(0.95);
    filter: contrast(1.3) sepia(0.3) saturate(1.3) hue-rotate(-10deg) brightness(0.95);
  }

  .ig-earlybird {
    -webkit-filter: sepia(0.4) saturate(1.6) contrast(1.1) brightness(0.9) hue-rotate(-10deg);
    filter: sepia(0.4) saturate(1.6) contrast(1.1) brightness(0.9) hue-rotate(-10deg);
  }

  .ig-brannan {
    -webkit-filter: sepia(0.5) contrast(1.4);
    filter: sepia(0.5) contrast(1.4);
  }

  .ig-amaro {
    -webkit-filter: hue-rotate(-10deg) contrast(0.9) brightness(1.1) saturate(1.5);
    filter: hue-rotate(-10deg) contrast(0.9) brightness(1.1) saturate(1.5);
  }

  .ig-1977 {
    -webkit-filter: sepia(0.5) hue-rotate(-30deg) saturate(1.2) contrast(0.8);
    filter: sepia(0.5) hue-rotate(-30deg) saturate(1.2) contrast(0.8);
  }
}

// UI TOOLBAR
mat-toolbar {
  box-shadow: 0 3px 5px -1px rgba(0, 0, 0, 0.2),
    0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12);
  z-index: 900;

  >.mat-mini-fab {
    margin-right: 10px;
  }

  .spacer {
    flex: 1 1 auto;
  }

  .title {
    vertical-align: middle;
  }

  .logo {
    margin-left: 20px;

    img {
      vertical-align: middle;
      width: 100px;
      height: auto;
    }
  }
}

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }
